Page 1 of 1

Buster upgrade fails

Posted: Tue Jun 25, 2019 2:56 am
by RonR
Using a fresh Buster image (2019-06-20-raspbian-buster-lite.img) on a 3B+, apt-get upgrade fails:

Code: Select all

pi@raspberrypi:~ $ sudo apt-get update
Get:1 http://raspbian.raspberrypi.org/raspbian buster InRelease [15.0 kB]
Get:2 http://archive.raspberrypi.org/debian buster InRelease [25.2 kB]
Get:3 http://raspbian.raspberrypi.org/raspbian buster/main armhf Packages [13.0 MB]
Get:4 http://archive.raspberrypi.org/debian buster/main armhf Packages [200 kB]
Fetched 13.2 MB in 12s (1,123 kB/s)
Reading package lists... Done
pi@raspberrypi:~ $ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  bind9-host libbind9-161 libdns-export1104 libdns1104 libgssapi-krb5-2 libisc-export1100 libisc1100 libisccc161 libisccfg163 libk5crypto3 libkrb5-3 libkrb5support0 liblwres161
  libraspberrypi-bin libraspberrypi-dev libraspberrypi-doc libraspberrypi0 libwbclient0 nano raspberrypi-bootloader raspberrypi-kernel raspi-config
22 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 97.4 MB of archives.
After this operation, 4,096 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://archive.raspberrypi.org/debian buster/main armhf libraspberrypi-doc armhf 1.20190620+1-1 [31.4 MB]
Get:2 http://mirror.sjc02.svwh.net/raspbian/raspbian buster/main armhf libwbclient0 armhf 2:4.9.5+dfsg-5 [127 kB]
Get:4 http://mirror.sjc02.svwh.net/raspbian/raspbian buster/main armhf bind9-host armhf 1:9.11.5.P4+dfsg-5.1 [268 kB]
Get:5 http://mirror.sjc02.svwh.net/raspbian/raspbian buster/main armhf libbind9-161 armhf 1:9.11.5.P4+dfsg-5.1 [243 kB]
Get:6 http://mirror.sjc02.svwh.net/raspbian/raspbian buster/main armhf libisccfg163 armhf 1:9.11.5.P4+dfsg-5.1 [258 kB]
Get:7 http://mirror.sjc02.svwh.net/raspbian/raspbian buster/main armhf libisccc161 armhf 1:9.11.5.P4+dfsg-5.1 [233 kB]
Get:8 http://mirror.sjc02.svwh.net/raspbian/raspbian buster/main armhf libdns1104 armhf 1:9.11.5.P4+dfsg-5.1 [1,076 kB]
Get:9 http://mirror.sjc02.svwh.net/raspbian/raspbian buster/main armhf libisc1100 armhf 1:9.11.5.P4+dfsg-5.1 [421 kB]
Get:14 http://mirror.sjc02.svwh.net/raspbian/raspbian buster/main armhf liblwres161 armhf 1:9.11.5.P4+dfsg-5.1 [246 kB]
Get:15 http://mirror.sjc02.svwh.net/raspbian/raspbian buster/main armhf libisc-export1100 armhf 1:9.11.5.P4+dfsg-5.1 [360 kB]
Get:16 http://mirror.sjc02.svwh.net/raspbian/raspbian buster/main armhf libdns-export1104 armhf 1:9.11.5.P4+dfsg-5.1 [873 kB]
Get:17 http://archive.raspberrypi.org/debian buster/main armhf libraspberrypi-dev armhf 1.20190620+1-1 [407 kB]
Get:18 http://archive.raspberrypi.org/debian buster/main armhf raspberrypi-kernel armhf 1.20190620+1-1 [53.5 MB]
Get:19 http://archive.raspberrypi.org/debian buster/main armhf libraspberrypi-bin armhf 1.20190620+1-1 [337 kB]
Get:20 http://archive.raspberrypi.org/debian buster/main armhf libraspberrypi0 armhf 1.20190620+1-1 [843 kB]
Get:21 http://archive.raspberrypi.org/debian buster/main armhf raspberrypi-bootloader armhf 1.20190620+1-1 [5,677 kB]
Get:22 http://archive.raspberrypi.org/debian buster/main armhf raspi-config all 20190620 [21.7 kB]
Err:3 http://mirrors.gigenet.com/raspbian/raspbian buster/main armhf nano armhf 3.2-3
  Connection failed [IP: 69.65.16.171 80]
Err:10 http://mirrors.gigenet.com/raspbian/raspbian buster/main armhf libgssapi-krb5-2 armhf 1.17-3
  Connection failed [IP: 69.65.16.171 80]
Err:11 http://mirrors.gigenet.com/raspbian/raspbian buster/main armhf libkrb5-3 armhf 1.17-3
  Connection failed [IP: 69.65.16.171 80]
Err:12 http://mirrors.gigenet.com/raspbian/raspbian buster/main armhf libkrb5support0 armhf 1.17-3
  Connection failed [IP: 69.65.16.171 80]
Err:13 http://mirrors.gigenet.com/raspbian/raspbian buster/main armhf libk5crypto3 armhf 1.17-3
  Connection failed [IP: 69.65.16.171 80]
Fetched 96.3 MB in 5min 23s (298 kB/s)
E: Failed to fetch http://mirrors.gigenet.com/raspbian/raspbian/pool/main/n/nano/nano_3.2-3_armhf.deb  Connection failed [IP: 69.65.16.171 80]
E: Failed to fetch http://mirrors.gigenet.com/raspbian/raspbian/pool/main/k/krb5/libgssapi-krb5-2_1.17-3_armhf.deb  Connection failed [IP: 69.65.16.171 80]
E: Failed to fetch http://mirrors.gigenet.com/raspbian/raspbian/pool/main/k/krb5/libkrb5-3_1.17-3_armhf.deb  Connection failed [IP: 69.65.16.171 80]
E: Failed to fetch http://mirrors.gigenet.com/raspbian/raspbian/pool/main/k/krb5/libkrb5support0_1.17-3_armhf.deb  Connection failed [IP: 69.65.16.171 80]
E: Failed to fetch http://mirrors.gigenet.com/raspbian/raspbian/pool/main/k/krb5/libk5crypto3_1.17-3_armhf.deb  Connection failed [IP: 69.65.16.171 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

Re: Buster upgrade fails

Posted: Tue Jun 25, 2019 3:21 am
by plugwash
I just tested that mirror from here, for me it seemed to be working but very slowly.

I have disabled it's entry in the mirror redirection system for now, so if you try again you should be directed to a different mirror.

Re: Buster upgrade fails

Posted: Tue Jun 25, 2019 4:34 am
by RonR
plugwash wrote:
Tue Jun 25, 2019 3:21 am
I just tested that mirror from here, for me it seemed to be working but very slowly.

I have disabled it's entry in the mirror redirection system for now, so if you try again you should be directed to a different mirror.
That appears to have fixed the problem (it was very reproducible here).

Thanks a bunch for correcting it so quickly.

Re: Buster upgrade fails

Posted: Tue Jun 25, 2019 9:27 am
by geoffr
It would be useful to get a better view on the issues that users need to be aware of when upgrading to Buster.
One issue that has been pointed out is that the space required in /boot is much larger. Users may need to increase the size of /boot before upgrading.
Another point that probably needs mention is the move from iptables to nftables.
I am sure there are others.

Re: Buster upgrade fails

Posted: Tue Jun 25, 2019 8:09 pm
by plugwash
I got a reply from the mirror admin that there was a configuration issue on the server, it should be fixed now (certainly looks much better from here), so I have reenabled it's mirror redirection entry.

Re: Buster upgrade fails

Posted: Tue Jun 25, 2019 9:44 pm
by RonR
plugwash wrote:
Tue Jun 25, 2019 8:09 pm
I got a reply from the mirror admin that there was a configuration issue on the server, it should be fixed now (certainly looks much better from here), so I have reenabled it's mirror redirection entry.
The first time I ran 'apt-get update', I got:

Code: Select all

root@raspberrypi:~# apt-get update
Get:1 http://raspbian.raspberrypi.org/raspbian buster InRelease [15.0 kB]
Get:2 http://archive.raspberrypi.org/debian buster InRelease [25.1 kB]
Reading package lists... Done
E: Release file for http://raspbian.raspberrypi.org/raspbian/dists/buster/InRelease is not valid yet (invalid for another 4d 23h 52min 24s). Updates for this repository will not be applied.
E: Release file for http://archive.raspberrypi.org/debian/dists/buster/InRelease is not valid yet (invalid for another 4d 20h 39min 41s). Updates for this repository will not be applied.
but it ran successfully on subsequent attempts.

Re: Buster upgrade fails

Posted: Wed Jun 26, 2019 5:51 am
by rpdom
That sounds like either the clock on your Pi had not been updated with the current date and time yet, or the mirror server's clock was set to the wrong date.

Re: Buster upgrade fails

Posted: Wed Jun 26, 2019 9:21 pm
by meaple
My update gooes like below

Hit:1 http://raspbian.raspberrypi.org/raspbian buster InRelease
Hit:2 http://archive.raspberrypi.org/debian buster InRelease
Hit:3 http://linux.teamviewer.com/deb stable InRelease
Hit:4 https://dl.ubnt.com/unifi/debian stable InRelease
Reading package lists... Done
W: Skipping acquire of configured file 'staging/binary-armhf/Packages' as repository 'http://archive.raspberrypi.org/debian buster InRelease' doesn't have the component 'staging' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'staging/i18n/Translation-en' as repository 'http://archive.raspberrypi.org/debian buster InRelease' doesn't have the component 'staging' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'staging/i18n/Translation-en_GB' as repository 'http://archive.raspberrypi.org/debian buster InRelease' doesn't have the component 'staging' (component misspelt in sources.list?)
Any ideas?
only option in sources.list is
deb http://raspbian.raspberrypi.org/raspbian/ buster main contrib non-free rpi

Re: Buster upgrade fails

Posted: Thu Jun 27, 2019 11:18 am
by ShiftPlusOne
take 'staging' out of your raspi.list

Re: Buster upgrade fails

Posted: Mon Jul 01, 2019 6:52 pm
by Carolyn28
This worked yesterday but now i got this error:

Code: Select all

sudo apt-get update
[sudo] password for pi:
Hit:1 http:/raspbian.raspberrypi.org/raspbian buster InRelease
Hit:2 http:/archive.raspberrypi.org/debian buster InRelease
Reading package lists... Done
How i can fix this?

Re: Buster upgrade fails

Posted: Mon Jul 01, 2019 7:15 pm
by RonR
Carolyn28 wrote:
Mon Jul 01, 2019 6:52 pm
This worked yesterday but now i got this error:

Code: Select all

sudo apt-get update
[sudo] password for pi:
Hit:1 http:/raspbian.raspberrypi.org/raspbian buster InRelease
Hit:2 http:/archive.raspberrypi.org/debian buster InRelease
Reading package lists... Done
How i can fix this?
What error? It appears to have completed successfully.

If you're wanting to upgrade packages, follow update with:

Code: Select all

sudo apt-get upgrade

Re: Buster upgrade fails

Posted: Mon Jul 01, 2019 7:17 pm
by fruitoftheloom
Carolyn28 wrote:
Mon Jul 01, 2019 6:52 pm
This worked yesterday but now i got this error:

Code: Select all

sudo apt-get update
[sudo] password for pi:
Hit:1 http:/raspbian.raspberrypi.org/raspbian buster InRelease
Hit:2 http:/archive.raspberrypi.org/debian buster InRelease
Reading package lists... Done
How i can fix this?

Code: Select all

sudo apt update
sudo apt full-upgrade

http://manpages.ubuntu.com/manpages/xen ... apt.8.html